%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define smp_utils_version       0.94
%define lvm2_version            2.2

#define git 20100315
Summary: Storage Management Service
Name: udisks
Version: 1.0.4
Release: %mkrel 6
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (cg) Attempt to make SD/xD card slots and friends work nicely.
Patch0: udisks-smartcard.patch
Patch1: udisks-1.0.4-neuter-stdout-and-stderr.patch
Patch2: udisks-1.0.4-systemd.patch
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-1-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: libgudev-devel >= %{udev_version}
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils-devel >= %{sg3_utils_version}
BuildRequires: gtk-doc
BuildRequires: liblvm2app-devel >= %{lvm2_version}
BuildRequires: libtool
# (cg) Only needed due to patches+autoconf
BuildRequires: gettext-devel
# needed to pull in the system bus daemon
Requires: dbus >= %{dbus_version}
# needed to pull in the udev daemon
Requires: udev >= %{udev_version}
#gw not yet packaged:
# for smp_rep_manufacturer
#Requires: smp_utils >= %{smp_utils_version}
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.vfat
Suggests: dosfstools
# for mlabel
Suggests: mtools
# for mkntfs - no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests: ntfsprogs
%endif

BuildRequires: systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# Obsolete and Provide DeviceKit-disks - udisks provides exactly the same
# ABI just with a different name and versioning-scheme
#
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/C
Requires: %{name} = %{version}-%{release}
# See comment above
#
Obsoletes: devicekit-disks-devel <= 009
Provides: devicekit-disks-devel = 010

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q
%apply_patches

%build
libtoolize --copy --force; aclocal; autoheader; automake --add-missing --force-missing; autoconf
%configure2_5x --enable-gtk-doc --enable-lvm2
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.a

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/udisks-bash-completion.sh

%find_lang %{name}

%post
%_post_service udisksd

%preun
%_preun_service udisksd


%files -f %{name}.lang

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/avahi/services/udisks.service
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander
/lib/udev/udisks-lvm-pv-export
/sbin/umount.udisks

%{_bindir}/*
%{_libexecdir}/udisks-daemon
%{_libexecdir}/udisks-helper*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy

%{_datadir}/dbus-1/system-services/*.service

#%attr(0700,root,root) %dir %{_localstatedir}/run/udisks
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks

%{_unitdir}/udisksd.service

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/pkgconfig/udisks.pc
%dir %{_datadir}/gtk-doc/html/udisks
%{_datadir}/gtk-doc/html/udisks/*




%changelog

* Sat Apr 28 2012 tmb <tmb> 1.0.4-6.mga2
+ Revision: 233885
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 1.0.4-5.mga2
+ Revision: 227963
- Add missing BR gettext-devel
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Use wrapped up post/preun macros

* Thu Jan 19 2012 tv <tv> 1.0.4-4.mga2
+ Revision: 198464
- unbloat installations:
  o do not suggests mdadm & xfsprogs, it's pulled by installer when needed
  o suggests instead of requires mtools
  (they were all blindly imported from RH(?) into mdv then into mga)

* Tue Nov 01 2011 dmorgan <dmorgan> 1.0.4-3.mga2
+ Revision: 160956
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 1.0.4-2.mga2
+ Revision: 159686
- Add systemd support (mdv)

* Wed Oct 12 2011 dmorgan <dmorgan> 1.0.4-1.mga2
+ Revision: 154076
- New version 1.0.4
- Remove removed upstream file

* Sat Jul 09 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 120802
- Fix file list
- Clean spec file
- New version 1.0.3

  + dams <dams>
    - rebuild for new parted

* Thu Mar 24 2011 boklm <boklm> 1.0.2-3.mga1
+ Revision: 76215
- rebuild for bug #497

* Mon Mar 21 2011 colin <colin> 1.0.2-2.mga1
+ Revision: 75321
- Add patch to make SD/xD card slots work properly

* Sat Jan 15 2011 dmorgan <dmorgan> 1.0.2-1.mga1
+ Revision: 18157
- imported package udisks


* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 624043
- new version
- bump lvm2 dep

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2011.0
+ Revision: 608096
- rebuild

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 533664
- update to new version 1.0.1

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 526235
- suggest instead of require mdadm

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 521758
- Release 1.0.0 final
- Remove devkit-disks symlinks, not needed, we didn't use devkit-disks before

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100315.1mdv2010.1
+ Revision: 519208
- update build deps
- new snapshot
- drop patch

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100215.2mdv2010.1
+ Revision: 518389
- remove debug files

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100215.1mdv2010.1
+ Revision: 513196
- import udisks


* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100215.1mdv2010.1
- adapt for Mandriva

* Tue Feb 16 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20100215.3%%{?dist}
- Require lvm2-libs >= 2.02.61 to get the right ABI for liblvm2app

* Tue Feb 16 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20100215.2%%{?dist}
- Update for new liblvm2app library

* Mon Feb 15 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20100215.1%%{?dist}
- Update to git snapshot

* Fri Jan 15 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20100115.2%%{?dist}
- Rebuild

* Fri Jan 15 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20100115.1%%{?dist}
- New git snapshot with LVM support

* Tue Jan 12 2010 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20091202.3%%{?dist}
- Rebuild for new libparted

* Mon Dec 07 2009 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20091202.2%%{?dist}
- Rebuild

* Fri Dec 04 2009 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20091202.1%%{?dist}
- Updated for package review (#543608)

* Wed Dec 02 2009 David Zeuthen <davidz@redhat.com> - 1.0.0-0.git20091202%%{?dist}
- Git snapshot for upcoming 1.0.0 release
